Commit f0666047 authored by Kai Vehmanen's avatar Kai Vehmanen

Modified the logic for passing list of exported symbols to linker. Fixes to unit test scripts.

darcs-hash:20070619080928-77cd4-83e1155f6991435190859a29a8c5e2f428072487.gz
parent 181d9d56
......@@ -10,13 +10,16 @@ include $(top_srcdir)/common.mk
lib_LTLIBRARIES = libnice.la
libnice_la_SOURCES = libnice.ver
libnice_la_SOURCES =
libnice_la_DEPENDENCIES = libnice.sym
libnice_la_LIBADD = \
$(top_builddir)/local/liblocal.la \
$(top_builddir)/agent/libagent.la
libnice_la_LDFLAGS = -Wl,--version-script,$(srcdir)/libnice.ver
libnice_la_LDFLAGS = \
-export-symbols $(srcdir)/libnice.sym \
-version-info 0:0:0
AM_CFLAGS = \
$(ERROR_CFLAGS) \
......@@ -28,7 +31,7 @@ AM_CFLAGS = \
-I $(top_srcdir)/udp \
-I $(top_srcdir)/stun
noinst_PROGRAMS = \
EXTRA_PROGRAMS = \
ice-test-client \
ice-test-server \
jingle-test-server
......@@ -59,7 +62,7 @@ check_PROGRAMS = \
test-readline
# XXX: test programs disabled due to changes in API
EXTRA_PROGRAMS = \
EXTRA_PROGRAMS += \
test-util
test_readline_SOURCES = test-readline.c readline.h readline.c
......@@ -73,11 +76,18 @@ test_util_LDADD = $(COMMON_LDADD)
test-symbols.sh::
chmod +x $(srcdir)/$@
libnice.symbols: libnice.sym Makefile
rm -f $@
while read s; do echo "T $$s"; done < $< > $@
CLEANFILES += libnice.symbols
check_SCRIPTS = test-symbols.sh
check_DATA = libnice.symbols
TESTS = $(check_PROGRAMS) $(check_SCRIPTS)
EXTRA_DIST = $(check_SCRIPTS) libnice.symbols
EXTRA_DIST = $(check_SCRIPTS) libnice.sym
pkginclude_HEADERS = nice.h
......
......@@ -34,6 +34,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <string.h>
......
......@@ -35,6 +35,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <string.h>
......
......@@ -39,6 +39,9 @@
* This program interoperates with the test-rtp-jingle program from the
* Farsight tests/ directory. It echoes received media to the sender.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <stdlib.h>
#include <string.h>
......
nice_address_copy_to_sockaddr
nice_address_dup
nice_address_equal
nice_address_free
nice_address_is_private
nice_address_new
nice_address_set_from_sockaddr
nice_address_set_ipv4
nice_address_set_ipv4_from_string
nice_address_set_ipv6
nice_address_to_string
nice_agent_add_local_address
nice_agent_add_remote_candidate
nice_agent_add_stream
nice_agent_get_local_candidates
nice_agent_get_local_credentials
nice_agent_get_remote_candidates
nice_agent_get_type
nice_agent_main_context_attach
nice_agent_new
nice_agent_poll_read
nice_agent_recv
nice_agent_recv_sock
nice_agent_remove_stream
nice_agent_send
nice_agent_set_remote_candidates
nice_agent_set_remote_credentials
nice_candidate_free
nice_candidate_ice_priority
nice_candidate_ice_priority_full
nice_candidate_jingle_priority
nice_candidate_new
nice_candidate_pair_priority
nice_interface_free
nice_interface_new
nice_list_local_interfaces
nice_rng_free
nice_rng_generate_bytes
nice_rng_generate_bytes_print
nice_rng_generate_int
nice_rng_glib_new
nice_rng_glib_new_predictable
nice_rng_new
nice_rng_set_new_func
nice_udp_bsd_socket_factory_init
nice_udp_fake_socket_factory_init
nice_udp_fake_socket_get_peer_fd
nice_udp_fake_socket_pop_send
nice_udp_fake_socket_push_recv
nice_udp_socket_close
nice_udp_socket_factory_close
nice_udp_socket_factory_make
nice_udp_socket_recv
nice_udp_socket_send
......@@ -34,6 +34,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <unistd.h>
......
......@@ -34,6 +34,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <string.h>
......
......@@ -9,13 +9,13 @@ fi
check_symbols=$srcdir/../scripts/check-symbols.sh
if ! test -f $check_symbols; then
echo "can't find check-symbols.sh"
echo "cannot find check-symbols.sh"
exit 1
fi
if ! test -f .libs/libnice.so; then
echo "not building shared object" >&2
echo "no shared object found" >&2
exit 77
fi
sh $check_symbols .libs/libnice.so $srcdir/libnice.symbols
sh $check_symbols .libs/libnice.so libnice.symbols
......@@ -34,6 +34,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <string.h>
......
......@@ -34,6 +34,9 @@
* not delete the provisions above, a recipient may use your version of this
* file under either the MPL or the LGPL.
*/
#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <arpa/inet.h>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment